<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-folks" xml:lang="ru">

  <info>
    <link type="guide" xref="tech" group="folks"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Aggregate contacts from multiple local and online sources</desc>
  </info>

<title>Folks</title>

  <p>Various systems have different representations for user accounts. For
  example, <link xref="tech-eds">Evolution Data Server</link> has the user's
  list of email contacts. <link xref="tech-telepathy">Telepathy</link> has the
  user's list of instant-messaging contacts. Various web services have the
  user's "friends". Libfolks takes care of aggregating all these forms of
  contacts so that you can get all the accounts that belong to one person.
  This lets software present lists of people in a more useful fashion, instead
  of showing duplicated people whenever they have more than one account
  associated to them.</p>

  <p>
    In GNOME, Empathy (the instant messaging client) uses Folks to present a
    unified view of people ("Person X has these IM accounts"), rather than
    disparate accounts for the same person ("Person X at AIM, Person X at
    GTalk, Person X at Yahoo! Messenger").
  </p>

  <list style="compact">
    <item><p><link href="https://wiki.gnome.org/Projects/Folks">Libfolks home page</link></p></item>
  </list>

</page>
